
CREATE TABLE CUSRS 		(I_USER             CHAR(20)        NOT NULL, \
                    		I_PASSWORD         CHAR(32)        NOT NULL, \
                  		D_PASSWORD_EXPIR   TIMESTAMP       NOT NULL, \
                                 I_USER_NAME        CHAR(40)        NOT NULL, \
                                 I_USER_E_MAIL      VARCHAR(128), \
                                 D_LAST_UPDATE      TIMESTAMP       NOT NULL, \
                                 I_LAST_UPDATE      CHAR(20)        NOT NULL, \
                  		F_ADMIN            CHAR(1)         NOT NULL, \
                                 PRIMARY KEY(I_USER))

CREATE TABLE CUAUT 		(I_USER             CHAR(20)        NOT NULL, \
                                 I_USER_ROLE        CHAR(20)        NOT NULL, \
                                 PRIMARY KEY(I_USER, I_USER_ROLE))

CREATE TABLE CSCHD  		(I_USER            CHAR(20)        NOT NULL, \
                                  C_SCHD_TASK_TYPE  CHAR(4)         NOT NULL, \
                                  I_SCHD_TASK       CHAR(32)        NOT NULL, \
                                  C_SCHD_TASK_INTVL CHAR(3)         NOT NULL, \
                                  X_SCHD_TASK_NAME  VARCHAR(128)    NOT NULL, \
                                  D_SCHD_START      TIMESTAMP       NOT NULL, \
                   		D_NEXT_SCHD_START TIMESTAMP       NOT NULL, \
                      		N_EVERY_NTH       INTEGER, \
                                  N_DAYS_ARRAY      CHAR(32), \
                                  X_SCHD_MORE_PARAM  VARCHAR(128), \
                                  I_LAST_SCHD_SEQ   INTEGER, \
                            	D_SCHD_TASK_EXPIR TIMESTAMP       NOT NULL, \
                                  F_PRIVATE      CHAR(1), \
                            	F_TRACE           CHAR(1), \
                   		I_CYCLE_LENGTH    INTEGER, \
                   		I_WINDOW_LENGTH   INTEGER, \
                                  PRIMARY KEY(I_USER, C_SCHD_TASK_TYPE, I_SCHD_TASK))

CREATE TABLE CSCHH  (I_USER             CHAR(20)        NOT NULL, \
                                   C_SCHD_TASK_TYPE   CHAR(4)         NOT NULL, \
                                   I_SCHD_TASK        CHAR(32)        NOT NULL, \
                                   I_SCHH_TASK_SEQ    INTEGER      NOT NULL, \
                                   C_SCHD_TASK_STATUS CHAR(2)         NOT NULL, \
                                   X_RPT_FILE_NAME    CHAR(18), \
                                   D_SCHD_TASK_START  TIMESTAMP, \
                                   D_SCHD_TASK_COMPLT TIMESTAMP, \
                                   X_SCHD_MORE_PARAM  VARCHAR(128), \
                             	X_SCHD_TASK_NAME   VARCHAR(128), \
                                   F_PRIVATE CHAR(1), \
                                   F_TRACE   CHAR(1), \
                                   PRIMARY KEY(I_USER, C_SCHD_TASK_TYPE, I_SCHD_TASK, I_SCHH_TASK_SEQ))

CREATE TABLE  CNODE  		(I_IP_ADDR          CHAR(30)    NOT NULL, \
                                   I_NODE_NAME        CHAR(224)   NOT NULL, \
                             I_NODE_ENTITY   INTEGER  NOT NULL, \
                             PRIMARY KEY(I_IP_ADDR,I_NODE_NAME))

CREATE TABLE  CNGRP  		(I_NODE_GROUP      CHAR(16)  NOT NULL, \
                                   X_NODE_GROUP_DESC VARCHAR(128) NOT NULL, \
                             D_LAST_UPDATE     TIMESTAMP NOT NULL, \
                             I_LAST_UPDATE     CHAR(20)  NOT NULL, \
                                   PRIMARY KEY(I_NODE_GROUP))

CREATE TABLE  CNGDI (I_NODE_GROUP  CHAR(16)    NOT NULL, \
                            I_IP_ADDR  CHAR(30) NOT NULL, \
                   X_COMMENT  VARCHAR(128))

CREATE TABLE  CSIPA  (I_IP_ADDR    CHAR(30) NOT NULL, \
                    X_COMMENT    VARCHAR(128))

CREATE TABLE  CSSTY  (C_SERVICE_TYPE  CHAR(4)     NOT NULL, \
                      N_PORT           INTEGER     NOT NULL, \
                      PRIMARY KEY(C_SERVICE_TYPE,N_PORT))

CREATE TABLE CSRVH (I_NODE_ENTITY      INTEGER    NOT NULL, \
                        C_SERVICE_TYPE     CHAR(4)       NOT NULL, \
                        I_SCHH_TASK_SEQ    INTEGER       NOT NULL, \
                           N_PORT          INTEGER    NOT NULL, \
                           C_SERV_TYPE_STATUS CHAR(2)    NOT NULL, \
                           I_SERVICE_VERSION  CHAR(10)      NOT NULL, \
                  C_PROTOCOL      CHAR(1)       NOT NULL, \
                  C_SERVICE_SUBTYPE  CHAR(4) , \
                           PRIMARY KEY(I_NODE_ENTITY, C_SERVICE_TYPE, N_PORT, I_SCHH_TASK_SEQ))

CREATE TABLE CNGRH (I_NODE_ENTITY      INTEGER    NOT NULL, \
                        I_NODE_GROUP       CHAR(16)      NOT NULL, \
                           I_SCHH_TASK_SEQ    INTEGER       NOT NULL, \
                              PRIMARY KEY(I_NODE_ENTITY, I_NODE_GROUP, I_SCHH_TASK_SEQ))

CREATE TABLE CIGEN (I_INDEX_NAME       CHAR(32)   NOT NULL, \
                           N_LAST_USED_INDEX  INTEGER    NOT NULL, \
                           PRIMARY KEY(I_INDEX_NAME))

CREATE TABLE CMSGS (I_MSGID            CHAR(9)       NOT NULL, \
                                 C_SEVERITY         CHAR(1)       NOT NULL, \
                                 D_ISSUED           TIMESTAMP     NOT NULL, \
                                 C_MSGTYPE          CHAR(1)       NOT NULL, \
                                 I_COMPONENT        CHAR(4)       NOT NULL, \
                                 I_SCHH_TASK_SEQ    INTEGER, \
                  		I_THREADID      VARCHAR(128), \
                                 X_MESSAGE          VARCHAR(1024) NOT NULL, \
				   EVENTID            CHAR(25), \
				   CORRELATEKEY	    VARCHAR(100))

CREATE TABLE CMSAU (I_MSGID            CHAR(9)       NOT NULL, \
                                 D_ISSUED           TIMESTAMP     NOT NULL, \
                                 C_AUTH_FUNC        CHAR(4)       NOT NULL, \
                           PRIMARY KEY(I_MSGID, D_ISSUED, C_AUTH_FUNC))

CREATE TABLE CDSTT (I_SCHH_TASK_SEQ    INTEGER       NOT NULL, \
                                 N_NODES_TRIED      INTEGER       NOT NULL, \
                                 N_SERVICES_PER     INTEGER       NOT NULL, \
                           N_ACTIVE_NODES     INTEGER       NOT NULL, \
                  N_ACTIVE_SERVICES  INTEGER       NOT NULL, \
                  PRIMARY KEY(I_SCHH_TASK_SEQ))

CREATE TABLE CDSSD (I_SCHH_TASK_SEQ    INTEGER       NOT NULL, \
                                 C_SERVICE_TYPE     CHAR(4)       NOT NULL, \
                                 C_SERV_TYPE_STATUS CHAR(2)    NOT NULL, \
                           N_FOUND            INTEGER       NOT NULL, \
                  PRIMARY KEY(I_SCHH_TASK_SEQ, C_SERVICE_TYPE, C_SERV_TYPE_STATUS))

CREATE TABLE CUPRF (I_USER            CHAR(20)        NOT NULL, \
                                 I_PRF_KEY         CHAR(32)        NOT NULL, \
                                 X_PROFILE_DATA    VARCHAR(1024)   NOT NULL, \
                  PRIMARY KEY(I_USER, I_PRF_KEY))

CREATE TABLE CURLE (I_USER_ROLE       CHAR(20)        NOT NULL, \
                                 X_ROLE_DESC       VARCHAR(128)    NOT NULL, \
                                 D_LAST_UPDATE     TIMESTAMP       NOT NULL, \
                  I_LAST_UPDATE     CHAR(20)        NOT NULL, \
                  PRIMARY KEY(I_USER_ROLE))

CREATE TABLE CURTA (I_USER_ROLE       CHAR(20)        NOT NULL, \
                                 C_AUTH_FUNC       CHAR(4)         NOT NULL, \
                  PRIMARY KEY(I_USER_ROLE, C_AUTH_FUNC))

CREATE TABLE CUSRV (C_SERVICE_TYPE    CHAR(4)        NOT NULL, \
                                 I_META_TAG        VARCHAR(128)   NOT NULL, \
                  X_DISPLAY_NAME    VARCHAR(128)   NOT NULL, \
                  PRIMARY KEY(C_SERVICE_TYPE))

CREATE TABLE CUSPT (C_SERVICE_TYPE    CHAR(4)        NOT NULL, \
                                 N_PORT            INTEGER        NOT NULL, \
                  X_DISPLAY_NAME    VARCHAR(128)   NOT NULL, \
                  PRIMARY KEY(C_SERVICE_TYPE, N_PORT))

CREATE TABLE CSNMP (I_SNMP_IP_ADDR    CHAR(30)       NOT NULL, \
                                 N_SNMP_PORT       INTEGER        NOT NULL, \
                  PRIMARY KEY(I_SNMP_IP_ADDR, N_SNMP_PORT))

CREATE TABLE CSWCS (I_CFG_KEY         CHAR(32)       NOT NULL, \
                                 X_CFG_DATA        VARCHAR(1024)  NOT NULL, \
                  PRIMARY KEY(I_CFG_KEY))

CREATE TABLE CPARM (I_PRM_KEY         CHAR(32)       NOT NULL, \
                                 C_PRM_COMP        CHAR(6)        NOT NULL, \
                                 I_PRM_SCOPE       CHAR(22)       NOT NULL, \
                                 X_PRM_VALUE       VARCHAR(1024)  NOT NULL, \
                  PRIMARY KEY(I_PRM_KEY, C_PRM_COMP, I_PRM_SCOPE))


CREATE TABLE PMCOLLECTOR (TASK_NAME CHAR(64) NOT NULL, \
                                 DURATION  CHAR(30), \
	                         SAMPLE_INTERVAL CHAR(30), \
	                         STATUS  CHAR(30), \
	                         DEVICE_TYPE CHAR(10)  NOT NULL, \
				 TASK_START TIMESTAMP, \
				 TASK_END TIMESTAMP, \ 
	                         PRIMARY KEY(TASK_NAME,DEVICE_TYPE))
	                         

CREATE TABLE PMDEVICEACCESS (TASK_NAME CHAR(64) NOT NULL, \
                                 DEVICE_ID  CHAR(64) NOT NULL, \
                                 DEVICE_TYPE CHAR(10)  NOT NULL, \
	                         DEVICE_STATUS  CHAR(30), \
	                         DEVICE_MESSAGE_ID CHAR(12) WITH DEFAULT '', \
	                         PRIMARY KEY(TASK_NAME, DEVICE_ID, DEVICE_TYPE ))


CREATE TABLE PMDEVICE (          DEVICE_ID  CHAR(64) NOT NULL, \
                                 DEVICE_IP  CHAR(64) NOT NULL, \
	                         DEVICE_TYPE CHAR(10)  NOT NULL, \
	                         DEVICE_PORT  CHAR(64), \
	                         DEVICE_USER   CHAR(64), \
	                         DEVICE_PWD    CHAR(64), \
	                         PRIMARY KEY(DEVICE_ID, DEVICE_TYPE))
CREATE TABLE LSGGE_METRIC ( \
                              METRICID CHAR(100) NOT NULL, \
                              COLNAME CHAR(100) NOT NULL, \
                              YAXISTYPE CHAR(50) NOT NULL, \
                              DBTABLE  CHAR(40) NOT NULL, \
                              RESKEY CHAR(100) NOT NULL, \
			      COMPLEVEL  CHAR(10) NOT NULL, \			      			     
                              DATATYPE   CHAR(40) NOT NULL, \                                                            
                              METRICTYPE   CHAR(10) NOT NULL, \ 
                              ISTHRESH  CHAR(10) NOT NULL, \
                              DISPRECIS  CHAR(10) NOT NULL, \
                              SUMMRYTYPE  CHAR(10) NOT NULL, \
                              PRIMARY KEY(METRICID))
                              
insert into LSGGE_METRIC values ('Q_READ_IO_MD',		'Q_READ_IO',		'YAXIS_COUNTPERSEC',	'LPMDISK',	'Q_READ_IO_MD',			'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_IO_MD',		'Q_WRITE_IO',		'YAXIS_COUNTPERSEC',	'LPMDISK',	'Q_WRITE_IO_MD',			'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TOT_RW_IO_MD',		'Q_TOT_RW_IO',		'YAXIS_COUNTPERSEC',	'LPMDISK',	'Q_TOT_RW_IO_MD',			'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_BLK_MD',		'Q_READ_BLK',		'YAXIS_MBPERSEC',		'LPMDISK',	'Q_READ_BLK_MD',			'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_BLK_MD',		'Q_WRITE_BLK',		'YAXIS_MBPERSEC',		'LPMDISK',	'Q_WRITE_BLK_MD',			'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TOT_RW_BLK_MD',		'Q_TOT_RW_BLK',		'YAXIS_MBPERSEC',		'LPMDISK',	'Q_TOT_RW_BLK_MD',		'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_TRANSFER_MD',	'Q_READ_TRANSFER',	'YAXIS_MBPERIO',		'LPMDISK',	'Q_READ_TRANSFER_MD',		'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_TRANSFER_MD',	'Q_WRITE_TRANSFER',	'YAXIS_MBPERIO',		'LPMDISK',	'Q_WRITE_TRANSFER_MD',		'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TRANSFER_SIZE_MD',	'Q_TRANSFER_SIZE',	'YAXIS_MBPERIO',		'LPMDISK',	'Q_TRANSFER_SIZE_MD',		'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_CMREAD_EXT_RSPTM_MD',	'Q_CMREAD_EXT_RSPTM',	'YAXIS_MSEC',	'LPMDISK',	'Q_CMREAD_EXT_RSPTM_MD',	'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_CMWRITE_EXT_RSPTM_MD',	'Q_CMWRITE_EXT_RSPTM',	'YAXIS_MSEC',	'LPMDISK',	'Q_CMWRITE_EXT_RSPTM_MD',	'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_CMREAD_QUD_RSPTM_MD',	'Q_CMREAD_QUD_RSPTM',	'YAXIS_MSEC',	'LPMDISK',	'Q_CMREAD_QUD_RSPTM_MD',	'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_CMWRITE_QUD_RSPTM_MD',	'Q_CMWRITE_QUD_RSPTM',	'YAXIS_MSEC',	'LPMDISK',	'Q_CMWRITE_QUD_RSPTM_MD',	'4',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_IO_VD',		'Q_READ_IO',		'YAXIS_COUNTPERSEC',	'LPVDISK',	'Q_READ_IO_VD',			'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_IO_VD',		'Q_WRITE_IO',		'YAXIS_COUNTPERSEC',	'LPVDISK',	'Q_WRITE_IO_VD',			'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TOT_RW_IO_VD',		'Q_TOT_RW_IO',		'YAXIS_COUNTPERSEC',	'LPVDISK',	'Q_TOT_RW_IO_VD',			'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_BLK_VD',		'Q_READ_BLK',		'YAXIS_MBPERSEC',		'LPVDISK',	'Q_READ_BLK_VD',			'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_BLK_VD',		'Q_WRITE_BLK',		'YAXIS_MBPERSEC',		'LPVDISK',	'Q_WRITE_BLK_VD',			'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TOT_RW_BLK_VD',		'Q_TOT_RW_BLK',		'YAXIS_MBPERSEC',		'LPVDISK',	'Q_TOT_RW_BLK_VD',		'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_TRANSFER_VD',	'Q_READ_TRANSFER',	'YAXIS_MBPERIO',		'LPVDISK',	'Q_READ_TRANSFER_VD',		'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_TRANSFER_VD',	'Q_WRITE_TRANSFER',	'YAXIS_MBPERIO',		'LPVDISK',	'Q_WRITE_TRANSFER_VD',		'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TRANSFER_SIZE_VD',	'Q_TRANSFER_SIZE',	'YAXIS_MBPERIO',		'LPVDISK',	'Q_TRANSFER_SIZE_VD',		'3',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_READ_IO_VDIOG',	'Q_VD_READ_IO',		'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_READ_IO_VDIOG',		'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_WRITE_IO_VDIOG',	'Q_VD_WRITE_IO',		'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_WRITE_IO_VDIOG',		'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_RW_IO_VDIOG',	'Q_VD_TOT_RW_IO',		'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_TOT_RW_IO_VDIOG',		'7',	'TYPE_REAL',	'0',	'1',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_READ_IO_VDIOG',	'Q_VD_AVG_READ_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_AVG_READ_IO_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_WRITE_IO_VDIOG',	'Q_VD_AVG_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_AVG_WRITE_IO_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_AVG_RW_IO_VDIOG','Q_VD_TOT_AVG_RW_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_TOT_AVG_RW_IO_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_READ_IO_VDIOG',	'Q_VD_MAX_READ_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_MAX_READ_IO_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_WRITE_IO_VDIOG',	'Q_VD_MAX_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_MAX_WRITE_IO_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_MAX_RW_IO_VDIOG','Q_VD_TOT_MAX_RW_IO',	'YAXIS_COUNTPERSEC',	'LPIOGRP',	'Q_VD_TOT_MAX_RW_IO_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_READ_BLK_VDIOG',	'Q_VD_READ_BLK',   	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_READ_BLK_VDIOG',		'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_WRITE_BLK_VDIOG',	'Q_VD_WRITE_BLK',   	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_WRITE_BLK_VDIOG',		'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_RW_BLK_VDIOG',	'Q_VD_TOT_RW_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_TOT_RW_BLK_VDIOG',	'7',	'TYPE_REAL',	'0',	'1',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_READ_BLK_VDIOG',	'Q_VD_AVG_READ_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_AVG_READ_BLK_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_WRITE_BLK_VDIOG','Q_VD_AVG_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_AVG_WRITE_BLK_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_AVG_RW_BLK_VDIOG','Q_VD_TOT_AVG_RW_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_TOT_AVG_RW_BLK_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_READ_BLK_VDIOG',	'Q_VD_MAX_READ_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_MAX_READ_BLK_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_WRITE_BLK_VDIOG','Q_VD_MAX_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_MAX_WRITE_BLK_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_MAX_RW_BLK_VDIOG','Q_VD_TOT_MAX_RW_BLK',	'YAXIS_MBPERSEC',		'LPIOGRP',	'Q_VD_TOT_MAX_RW_BLK_VDIOG',	'7',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_READ_TRANSFER_VDIOG', 	'Q_READ_TRANSFER',    	'YAXIS_MBPERIO',		'LPIOGRP',	'Q_READ_TRANSFER_VDIOG', 	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_WRITE_TRANSFER_VDIOG',	'Q_WRITE_TRANSFER',   	'YAXIS_MBPERIO',		'LPIOGRP',	'Q_WRITE_TRANSFER_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_TRANSFER_SIZE_VDIOG',	'Q_TRANSFER_SIZE',   	'YAXIS_MBPERIO',		'LPIOGRP',	'Q_TRANSFER_SIZE_VDIOG',	'7',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_READ_IO_VDMDG',	'Q_VD_READ_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_READ_IO_VDMDG',		'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_WRITE_IO_VDMDG',	'Q_VD_WRITE_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_WRITE_IO_VDMDG',		'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_RW_IO_VDMDG',	'Q_VD_TOT_RW_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_TOT_RW_IO_VDMDG',		'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_READ_IO_VDMDG',	'Q_VD_AVG_READ_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_AVG_READ_IO_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_WRITE_IO_VDMDG',	'Q_VD_AVG_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_AVG_WRITE_IO_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_AVG_RW_IO_VDMDG','Q_VD_TOT_AVG_RW_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_TOT_AVG_RW_IO_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_READ_IO_VDMDG',	'Q_VD_MAX_READ_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_MAX_READ_IO_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_WRITE_IO_VDMDG',	'Q_VD_MAX_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_MAX_WRITE_IO_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_MAX_RW_IO_VDMDG','Q_VD_TOT_MAX_RW_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_VD_TOT_MAX_RW_IO_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_READ_BLK_VDMDG',   	'Q_VD_READ_BLK',   	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_READ_BLK_VDMDG',   	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_WRITE_BLK_VDMDG',	'Q_VD_WRITE_BLK',  	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_WRITE_BLK_VDMDG',		'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_RW_BLK_VDMDG',	'Q_VD_TOT_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_TOT_RW_BLK_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_READ_BLK_VDMDG',	'Q_VD_AVG_READ_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_AVG_READ_BLK_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_AVG_WRITE_BLK_VDMDG','Q_VD_AVG_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_AVG_WRITE_BLK_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_AVG_RW_BLK_VDMDG','Q_VD_TOT_AVG_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_TOT_AVG_RW_BLK_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_READ_BLK_VDMDG',	'Q_VD_MAX_READ_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_MAX_READ_BLK_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_MAX_WRITE_BLK_VDMDG','Q_VD_MAX_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_MAX_WRITE_BLK_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TOT_MAX_RW_BLK_VDMDG','Q_VD_TOT_MAX_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_VD_TOT_MAX_RW_BLK_VDMDG',	'8',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_READ_TRANSFER_VDMDG','Q_VD_READ_TRANSFER',   'YAXIS_MBPERIO',		'LPMDGRP',	'Q_VD_READ_TRANSFER_VDMDG',  	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_WRITE_TRANSFER_VDMDG','Q_VD_WRITE_TRANSFER', 'YAXIS_MBPERIO',		'LPMDGRP',	'Q_VD_WRITE_TRANSFER_VDMDG', 	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_VD_TRANSFER_SIZE_VDMDG','Q_VD_TRANSFER_SIZE',   'YAXIS_MBPERIO',		'LPMDGRP',	'Q_VD_TRANSFER_SIZE_VDMDG',	'8',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_READ_IO_MDMDG',	'Q_MD_READ_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_READ_IO_MDMDG',		'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_WRITE_IO_MDMDG',	'Q_MD_WRITE_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_WRITE_IO_MDMDG',		'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_RW_IO_MDMDG',	'Q_MD_TOT_RW_IO',		'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_TOT_RW_IO_MDMDG',		'9',	'TYPE_REAL',	'0',	'1',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_READ_IO_MDMDG',	'Q_MD_AVG_READ_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_AVG_READ_IO_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_WRITE_IO_MDMDG',	'Q_MD_AVG_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_AVG_WRITE_IO_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_AVG_RW_IO_MDMDG','Q_MD_TOT_AVG_RW_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_TOT_AVG_RW_IO_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_READ_IO_MDMDG',	'Q_MD_MAX_READ_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_MAX_READ_IO_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_WRITE_IO_MDMDG',	'Q_MD_MAX_WRITE_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_MAX_WRITE_IO_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_MAX_RW_IO_MDMDG','Q_MD_TOT_MAX_RW_IO',	'YAXIS_COUNTPERSEC',	'LPMDGRP',	'Q_MD_TOT_MAX_RW_IO_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_READ_BLK_MDMDG',   	'Q_MD_READ_BLK',		'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_READ_BLK_MDMDG',  	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_WRITE_BLK_MDMDG',	'Q_MD_WRITE_BLK',		'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_WRITE_BLK_MDMDG',		'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_RW_BLK_MDMDG',	'Q_MD_TOT_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_TOT_RW_BLK_MDMDG',	'9',	'TYPE_REAL',	'0',	'1',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_READ_BLK_MDMDG',	'Q_MD_AVG_READ_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_AVG_READ_BLK_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_WRITE_BLK_MDMDG','Q_MD_AVG_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_AVG_WRITE_BLK_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_AVG_RW_BLK_MDMDG','Q_MD_TOT_AVG_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_TOT_AVG_RW_BLK_MDMDG',	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_READ_BLK_MDMDG',	'Q_MD_MAX_READ_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_MAX_READ_BLK_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_WRITE_BLK_MDMDG','Q_MD_MAX_WRITE_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_MAX_WRITE_BLK_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_MAX_RW_BLK_MDMDG','Q_MD_TOT_MAX_RW_BLK',	'YAXIS_MBPERSEC',		'LPMDGRP',	'Q_MD_TOT_MAX_RW_BLK_MDMDG',	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_READ_TRANSFER_MDMDG' ,'Q_MD_READ_TRANSFER',	'YAXIS_MBPERIO',		'LPMDGRP',	'Q_MD_READ_TRANSFER_MDMDG',   '9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_WRITE_TRANSFER_MDMDG','Q_MD_WRITE_TRANSFER',	'YAXIS_MBPERIO',		'LPMDGRP',	'Q_MD_WRITE_TRANSFER_MDMDG',  '9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TRANSFER_SIZE_MDMDG', 'Q_MD_TRANSFER_SIZE',	'YAXIS_MBPERIO',		'LPMDGRP',	'Q_MD_TRANSFER_SIZE_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_CMREAD_EXT_RSPTM_MDMDG', 'Q_MD_AVG_CMREAD_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_AVG_CMREAD_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_CMREAD_EXT_RSPTM_MDMDG', 'Q_MD_MAX_CMREAD_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_MAX_CMREAD_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_CMREAD_EXT_RSPTM_MDMDG', 'Q_MD_TOT_CMREAD_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_TOT_CMREAD_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_CMWRITE_EXT_RSPTM_MDMDG', 'Q_MD_AVG_CMWRITE_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_AVG_CMWRITE_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_CMWRITE_EXT_RSPTM_MDMDG', 'Q_MD_MAX_CMWRITE_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_MAX_CMWRITE_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_CMWRITE_EXT_RSPTM_MDMDG', 'Q_MD_TOT_CMWRITE_EXT_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_TOT_CMWRITE_EXT_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_CMREAD_QUD_RSPTM_MDMDG', 'Q_MD_AVG_CMREAD_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_AVG_CMREAD_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_CMREAD_QUD_RSPTM_MDMDG', 'Q_MD_MAX_CMREAD_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_MAX_CMREAD_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_CMREAD_QUD_RSPTM_MDMDG', 'Q_MD_TOT_CMREAD_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_TOT_CMREAD_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_AVG_CMWRITE_QUD_RSPTM_MDMDG', 'Q_MD_AVG_CMWRITE_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_AVG_CMWRITE_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_MAX_CMWRITE_QUD_RSPTM_MDMDG', 'Q_MD_MAX_CMWRITE_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_MAX_CMWRITE_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'1',	'0',	'3',	'0')
insert into LSGGE_METRIC values ('Q_MD_TOT_CMWRITE_QUD_RSPTM_MDMDG', 'Q_MD_TOT_CMWRITE_QUD_RSPTM',	'YAXIS_MSEC',		'LPMDGRP',	'Q_MD_TOT_CMWRITE_QUD_RSPTM_MDMDG', 	'9',	'TYPE_REAL',	'0',	'0',	'3',	'0')

CREATE TABLE ESSGGE_METRIC ( \
                              METRICID CHAR(100) NOT NULL, \
                              COLNAME CHAR(100) NOT NULL, \
                              YAXISTYPE CHAR(50) NOT NULL, \
                              DBTABLE  CHAR(40) NOT NULL, \
                              RESKEY CHAR(100) NOT NULL, \
			      COMPLEVEL  CHAR(10) NOT NULL, \			      			     
                              DATATYPE   CHAR(40) NOT NULL, \                                                            
                              METRICTYPE   CHAR(10) NOT NULL, \ 
                              ISTHRESH  CHAR(10) NOT NULL, \
                              DISPRECIS  CHAR(10) NOT NULL, \
                              SUMMRYTYPE  CHAR(10) NOT NULL, \
                              PRIMARY KEY(METRICID))
  

insert into ESSGGE_METRIC values ('PC_N_IO_R_VOL',		'(Double(PC_N_IO_R))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_N_IO_R_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_N_IO_W_VOL',		'(Double(PC_N_IO_W))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_N_IO_W_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_N_CH_R_VOL',		'(Double(PC_N_CH_R))/(PC_N_IO_R + 0.0001)',	'YAXIS_RATIO',		'VPCCH',	'PC_N_CH_R_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_N_CH_W_VOL',		'(Double(PC_N_CH_W))/(PC_N_IO_W + 0.0001)',	'YAXIS_RATIO',		'VPCCH',	'PC_N_CH_W_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_NHR_AVG_VOL',		'PC_NHR_AVG',					'YAXIS_RATIO',		'VPCCH',	'PC_NHR_AVG_VOL',		'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_S_IO_R_VOL',		'(Double(PC_S_IO_R))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_S_IO_R_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_S_IO_W_VOL',		'(Double(PC_S_IO_W))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_S_IO_W_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_S_CH_R_VOL',		'(Double(PC_S_CH_R))/(PC_S_IO_R + 0.0001)',	'YAXIS_RATIO',		'VPCCH',	'PC_S_CH_R_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_S_CH_W_VOL',		'(Double(PC_S_CH_W))/(PC_S_IO_W + 0.0001)',	'YAXIS_RATIO',		'VPCCH',	'PC_S_CH_W_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_SHR_AVG_VOL',		'PC_SHR_AVG',					'YAXIS_RATIO',		'VPCCH',	'PC_SHR_AVG_VOL', 		'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_D2C_VOL',		        '(Double(PC_D2C))/(PC_INT_SECS + 0.0001)', 	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_D2C_VOL',			'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_C2D_VOL',			'(Double(PC_C2D))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_C2D_VOL',			'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_RHR_AVG_VOL',		'PC_RHR_AVG',					'YAXIS_RATIO',		'VPCCH',	'PC_RHR_AVG_VOL',		'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_WHR_AVG_VOL',		'PC_WHR_AVG',					'YAXIS_RATIO',		'VPCCH',	'PC_WHR_AVG_VOL',		'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_THR_AVG_VOL',		'PC_THR_AVG',					'YAXIS_RATIO',		'VPCCH',	'PC_THR_AVG_VOL',		'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_RMR_IO_VOL',		'(Double(PC_RMR_IO))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCCH',	'PC_RMR_IO_VOL',		'2',		'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_DFW_DELAY_PRCT_VOL',	'PC_DFW_DELAY_PRCT',				'YAXIS_PERCENT',	'VPCCH',	'PC_DFW_DELAY_PRCT_VOL',	'2',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('PC_IO_READ_PSEC_DG',		'(Double(PC_IO_READ))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCRK',	'PC_IO_READ_PSEC_DG',	'1',	'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_IO_WRITE_PSEC_DG',	'(Double(PC_IO_WRITE))/(PC_INT_SECS + 0.0001)',	'YAXIS_COUNTPERSEC',	'VPCRK',	'PC_IO_WRITE_PSEC_DG',	'1',	'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_IO_TOTAL_PSEC_DG',	'(Double(PC_IO_READ+PC_IO_WRITE))/(PC_INT_SECS+0.0001)','YAXIS_COUNTPERSEC',	'VPCRK','PC_IO_TOTAL_PSEC_DG',	'1',	'TYPE_DOUBLE',	'0',		'0',	'2', '0')
insert into ESSGGE_METRIC values ('PC_MSR_AVG_DG',		'(PC_MSR_AVG)',					'YAXIS_MSEC',		'VPCRK',	'PC_MSR_AVG_DG',		'1',		'TYPE_INTEGER',	'0',		'0',	'0', '0')
insert into ESSGGE_METRIC values ('Q_SAMP_DEV_UTIL_DG',		'(Q_SAMP_DEV_UTIL)',				'YAXIS_PERCENT',	'VPCRK',	'Q_SAMP_DEV_UTIL_DG',		'1',		'TYPE_INTEGER',	'0',		'1',	'0', '0')
insert into ESSGGE_METRIC values ('Q_IO_SEQ_PRCT_DG',		'(Double(Q_IO_SEQ*100))/(Q_IO_TOTAL +0.0001)',	'YAXIS_PERCENT',	'VPCRK',	'Q_IO_SEQ_PRCT_DG',	'1',	'TYPE_DOUBLE',	'0',	'0',	'2', '0')	
insert into ESSGGE_METRIC values ('Q_CL_AVG_HOLD_TIME',		'(Q_CL_AVG_HOLD_TIME)',				'YAXIS_SEC',		'VPCLUS',	'Q_CL_AVG_HOLD_TIME_CL',	'0',		'TYPE_INTEGER',	'0',		'1',	'0', '0')
insert into ESSGGE_METRIC values ('Q_CL_NVS_FULL_PRCT',		'(Q_CL_NVS_FULL_PRCT)',	                	'YAXIS_PERCENT',	'VPCLUS',	'Q_CL_NVS_FULL_PRCT_CL',	'0',		'TYPE_INTEGER',	'0',		'1',	'0', '0')
insert into ESSGGE_METRIC values ('Q_CL_IO_RATE',		'(Q_CL_IO_RATE)',	                	'YAXIS_COUNTPERSEC',	'VPCLUS',	'Q_CL_IO_RATE',	'0',		'TYPE_INTEGER',	'0',		'1',	'0', '0')

CREATE TABLE PMGGE_DEFIN( \
	GGE_NAME		CHAR(100)	NOT NULL, \
	GGE_DISC		CHAR(254), \		
	GGE_TYPE		CHAR(5)         NOT NULL, \  
        DEV_TYPE                CHAR(5)         NOt NULL, \  
        DEV_ID                  cHAR(50)        NOT NULL, \ 
	SUB_COMP_TYPE		CHAR(3)         NOT NULL DEFAULT '', \
	SUB_COMP_ID		CHAR(150)       NOT NULL DEFAULT, \
        GGE_METRIC_ID           CHAR(254)       NOT NULL DEFAULT '', \ 
	GGE_CREATE_BY		CHAR(64), \
	GGE_MODIFY_BY		CHAR(64), \
	GGE_LAST_MOD_DATE	DATE, \
	GGE_INTERVAL		SMALLINT, \
      GGE_REAL_TIME           CHAR(1) DEFAULT 'F', \   
	GGE_FROM_DATE		DATE, \
	GGE_FROM_TIME		TIME, \
	GGE_TO_DATE		DATE, \
	GGE_TO_TIME		TIME, \
	GGE_LAST_MOD_TIME TIME, \
	PRIMARY KEY(GGE_NAME))	                         
	                         
insert into CSWCS values ('db.Pmgr.level', '1.1.1')   

CREATE TABLE PMDBPURGE (TASK_NAME CHAR(64) NOT NULL, \
			DEVICE_TYPE 		CHAR(10)  NOT NULL, \
			TIME_UNIT  		VARCHAR(10), \
			PURGE_AGE  		SMALLINT, \
			PURGE_EXCEP_DATA 	CHAR(1) DEFAULT '1',  \
			STATUS  		CHAR(30), \
			TASK_DESCRIPTION	VARCHAR(250), \
			TASK_START TIMESTAMP, \
			TASK_END TIMESTAMP, \ 
			MESSAGE_ID CHAR(12) WITH DEFAULT '',  \
	                PRIMARY KEY(TASK_NAME))
	                
CREATE TABLE NPGGE_METRIC ( \
        METRICID 	CHAR(100) NOT NULL, \
        COLNAME 	CHAR(100) WITH DEFAULT, \
        YAXISTYPE 	CHAR(50) WITH DEFAULT, \
        DBTABLE  	CHAR(40) NOT NULL, \
        RESKEY 		CHAR(100) WITH DEFAULT, \
        COMPLEVEL       CHAR(10) NOT NULL, \			      			     
        DATATYPE        CHAR(40) WITH DEFAULT, \                                                            
        METRICTYPE 	CHAR(10) WITH DEFAULT, \ 
        ISTHRESH  	CHAR(10) WITH DEFAULT, \
        DISPRECIS 	CHAR(10) WITH DEFAULT, \
        SUMMRYTYPE	CHAR(10) WITH DEFAULT, \
        PRIMARY KEY(METRICID))
                              
insert into NPGGE_METRIC values ('TOT_DATA_TRANS_RATE_CL','TOT_DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPDEVICE','TOT_DATA_TRANS_RATE_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('AVG_DATA_TRANS_RATE_CL','AVG_DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPDEVICE','AVG_DATA_TRANS_RATE_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('MAX_DATA_TRANS_RATE_CL','MAX_DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPDEVICE','MAX_DATA_TRANS_RATE_CL','10','TYPE_REAL','1','0','0','0')
insert into NPGGE_METRIC values ('MIN_DATA_TRANS_RATE_CL','MIN_DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPDEVICE','MIN_DATA_TRANS_RATE_CL','10','TYPE_REAL','2','0','0','0')
insert into NPGGE_METRIC values ('TOT_DATA_TRANS_RATE_UP_CL','TOT_DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPDEVICE','TOT_DATA_TRANS_RATE_UP_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('AVG_DATA_TRANS_RATE_UP_CL','AVG_DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPDEVICE','AVG_DATA_TRANS_RATE_UP_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('MAX_DATA_TRANS_RATE_UP_CL','MAX_DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPDEVICE','MAX_DATA_TRANS_RATE_UP_CL','10','TYPE_REAL','1','0','0','0')
insert into NPGGE_METRIC values ('MIN_DATA_TRANS_RATE_UP_CL','MIN_DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPDEVICE','MIN_DATA_TRANS_RATE_UP_CL','10','TYPE_REAL','2','0','0','0')
insert into NPGGE_METRIC values ('TOT_MAS_DATA_TRANS_RATE_CL','TOT_MAS_DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPDEVICE','TOT_MAS_DATA_TRANS_RATE_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('TOT_MAS_DATA_TRANS_RATE_UP_CL','TOT_MAS_DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPDEVICE','TOT_MAS_DATA_TRANS_RATE_UP_CL','10','TYPE_REAL','0','0','0','0')
insert into NPGGE_METRIC values ('DATA_TRANS_RATE_MT','DATA_TRANS_RATE','YAXIS_COUNTPERSEC','NPMETASERVER','DATA_TRANS_RATE_MT','11','TYPE_REAL','0','1','0','0')
insert into NPGGE_METRIC values ('DATA_TRANS_RATE_UP_MT','DATA_TRANS_RATE_UP','YAXIS_COUNTPERSEC','NPMETASERVER','DATA_TRANS_RATE_UP_MT','11','TYPE_REAL','0','1','0','0')
insert into NPGGE_METRIC values ('TOT_BUF_MT','TOT_BUF','YAXIS_COUNTS','NPMETASERVER','TOT_BUF_MT','11','TYPE_INTEGER','0','0','0','0')
insert into NPGGE_METRIC values ('CLEAN_BUF_MT','CLEAN_BUF','YAXIS_COUNTS','NPMETASERVER','CLEAN_BUF_MT','11','TYPE_INTEGER','0','0','0','0')
insert into NPGGE_METRIC values ('DIRTY_BUF_MT','DIRTY_BUF','YAXIS_COUNTS','NPMETASERVER','DIRTY_BUF_MT','11','TYPE_INTEGER','0','0','0','0')
insert into NPGGE_METRIC values ('FREE_BUF_MT','FREE_BUF','YAXIS_COUNTS','NPMETASERVER','FREE_BUF_MT','11','TYPE_INTEGER','0','0','0','0')
	                

CREATE TABLE DB2INFOTHRESHOLD (METRIC CHAR(40) NOT NULL, \
		TYPE CHAR(1) WITH DEFAULT 'U', \
		CVALUE   CHAR (20), \
		WVALUE   CHAR (20), \
		ENABLED CHAR(1) WITH DEFAULT 'N', \
		TOALERT CHAR(1), \
		SUPPRESSINTERVAL  INTEGER , \
		PRIMARY KEY(METRIC))
insert into DB2INFOTHRESHOLD values ('DBFULLPCT','U','90','80','Y','N',120)
insert into DB2INFOTHRESHOLD values ('DBFREESPACE','L','40','80','Y','N',120)


CREATE TABLE Advisor.WORKLOADPROFILECMP (NAME             VARCHAR(65)   NOT NULL, \
                                         DESCRIPTION      VARCHAR(250), \
                                         IODEMAND         DOUBLE        NOT NULL, \
                                         AVGXFERSIZE      INTEGER       NOT NULL, \
                                         RANDOMREADPERC   SMALLINT      NOT NULL, \
                                         RANDOMWRITEPERC  SMALLINT      NOT NULL, \
                                         SEQREADPERC      SMALLINT      NOT NULL, \
                                         SEQWRITEPERC     SMALLINT      NOT NULL, \
                                         READHITPERC      SMALLINT      NOT NULL, \
                                         WRITEDESTAGEPERC SMALLINT      NOT NULL, \
                                         AVGCACHEHOLDTIME INTEGER       NOT NULL, \
                                         TIME1            BIGINT        NOT NULL, \
                                         DURATION         SMALLINT      NOT NULL, \
                                         STARTDAY         BIGINT        NOT NULL, \
                                         MAXREPS          SMALLINT      NOT NULL, \
                                         REPETITION       VARCHAR(30)   FOR BIT DATA, \
                                         CUSTOM           SMALLINT      NOT NULL, \
                                         TIMEOPT          SMALLINT      NOT NULL, \
                                         PRIMARY KEY(NAME))

insert into Advisor.WORKLOADPROFILECMP values ('PROF1_NAME', 'PROF1_DESC', 1.0, 10, 36, 27, 14, 23, 40, 33, 0, 0, 1440, 1072915200000, -1, null, 0, 3)
insert into Advisor.WORKLOADPROFILECMP values ('PROF2_NAME', 'PROF2_DESC', 2.5, 10, 36, 27, 14, 23, 40, 33, 0, 0, 1440, 1072915200000, -1, null, 0, 3)
insert into Advisor.WORKLOADPROFILECMP values ('PROF3_NAME', 'PROF3_DESC', 1.5, 32, 40, 10, 40, 10, 40, 33, 0, 0, 1440, 1072915200000, -1, null, 0, 3)
insert into Advisor.WORKLOADPROFILECMP values ('PROF4_NAME', 'PROF4_DESC', 2.0, 16, 15,  5, 60, 20, 25, 33, 0, 0, 1440, 1072915200000, -1, null, 0, 3)
insert into Advisor.WORKLOADPROFILECMP values ('PROF5_NAME', 'PROF5_DESC', 0.1, 32,  4,  6, 36, 54, 20, 33, 0, 0, 1440, 1072915200000, -1, null, 0, 3)

CREATE TABLE Advisor.DEVCREDCMP (DEVICEID         VARCHAR(65)   NOT NULL, \
                                 DEVICETYPE       VARCHAR(17)   NOT NULL, \
                                 PRIMADDR         VARCHAR(257)  NOT NULL, \
                                 SECADDR          VARCHAR(257),           \
                                 PRIMPORT         INTEGER       NOT NULL, \
                                 SECPORT          INTEGER       NOT NULL, \
                                 USERNAME         VARCHAR(65),            \
                                 PASSWORD         VARCHAR(65),            \
                                 PRIMARY KEY(DEVICEID))
